## glmark2 2014.03+git20150611.fa71af2d

=== wscript ===
import commands
import subprocess
import os
import Options
import Scripting
from waflib import Context

out = 'build'
top = '.'

VERSION = '2014.03+git20150611.fa71af2d'
APPNAME = 'glmark2'

FLAVORS = {
    'x11-gl' : 'glmark2',
    'x11-glesv2' : 'glmark2-es2',
    'drm-gl' : 'glmark2-drm',
    'drm-glesv2' : 'glmark2-es2-drm',
    'mir-gl' : 'glmark2-mir',
    'mir-glesv2' : 'glmark2-es2-mir',
    'wayland-gl' : 'glmark2-wayland',
    'wayland-glesv2' : 'glmark2-es2-wayland'
}
FLAVORS_STR = ", ".join(FLAVORS.keys())

def option_list_cb(option, opt, value, parser):
    value = value.split(',')
    setattr(parser.values, option.dest, value)

def list_contains(lst, token):
    for e in lst:
        if token.endswith('$'):
            if e.endswith(token[:-1]): return True
        elif token in e: return True

    return False

def options(opt):
    opt.tool_options('gnu_dirs')
    opt.tool_options('compiler_cc')
    opt.tool_options('compiler_cxx')

    opt.add_option('--with-flavors', type = 'string', action='callback',
                   callback=option_list_cb,
                   dest = 'flavors',
                   help = "a list of flavors to build (%s, all)" % FLAVORS_STR)
    opt.parser.set_default('flavors', [])

    opt.add_option('--no-debug', action='store_false', dest = 'debug',
                   default = True, help='disable compiler debug information')
    opt.add_option('--no-opt', action='store_false', dest = 'opt',
                   default = True, help='disable compiler optimizations')
    opt.add_option('--no-werror', action='store_false', dest = 'werror',
                   default = True, help='disable treating compiler warnings as errors')
    opt.add_option('--data-path', action='store', dest = 'data_path',
                   help='path to main data (also see --data(root)dir)')
    opt.add_option('--extras-path', action='store', dest = 'extras_path',
                   help='path to additional data (models, shaders, textures)')

def configure(ctx):
    # Special 'all' flavor
    if 'all' in Options.options.flavors:
        Options.options.flavors = list(set(Options.options.flavors) | set(FLAVORS.keys()))
        Options.options.flavors.remove('all')

    # Ensure the flavors are valid
    for flavor in Options.options.flavors:
       if flavor not in FLAVORS:
            ctx.fatal('Unknown flavor: %s. Supported flavors are %s' % (flavor, FLAVORS_STR))

    if not Options.options.flavors:
        ctx.fatal('You need to select at least one flavor. Supported flavors are %s' % FLAVORS_STR)

    for flavor in FLAVORS:
        if flavor in Options.options.flavors:
            ctx.env["FLAVOR_%s" % flavor.upper().replace('-','_')] = FLAVORS[flavor]

    ctx.check_tool('gnu_dirs')
    ctx.check_tool('compiler_cc')
    ctx.check_tool('compiler_cxx')

    # Check required headers
    req_headers = ['stdlib.h', 'string.h', 'unistd.h', 'stdint.h', 'stdio.h', 'jpeglib.h']
    for header in req_headers:
        ctx.check_cxx(header_name = header, auto_add_header_name = True, mandatory = True)

    # Check for required libs
    req_libs = [('m', 'm'), ('jpeg', 'jpeg')]
    for (lib, uselib) in req_libs:
        ctx.check_cxx(lib = lib, uselib_store = uselib)

    # Check required functions
    req_funcs = [('memset', 'string.h', []) ,('sqrt', 'math.h', ['m'])]
    for func, header, uselib in req_funcs:
        ctx.check_cxx(function_name = func, header_name = header,
                      uselib = uselib, mandatory = True)

    # Check for a supported version of libpng
    supp_png_pkgs = (('libpng12', '1.2'), ('libpng15', '1.5'), ('libpng16', '1.6'),)
    have_png = False
    for (pkg, atleast) in supp_png_pkgs:
        try:
            pkg_ver = ctx.check_cfg(package=pkg, uselib_store='libpng', atleast_version=atleast,
                                    args = ['--cflags', '--libs'])
        except:
            continue
        else:
            have_png = True
            break

    if not have_png:
        ctx.fatal('You need to install a supported version of libpng: ' + str(supp_png_pkgs))

    # Check optional packages
    opt_pkgs = [('x11', 'x11', None, list_contains(Options.options.flavors, 'x11')),
                ('gl', 'gl', None, list_contains(Options.options.flavors, 'gl$')),
                ('egl', 'egl', None, list_contains(Options.options.flavors, 'glesv2$')),
                ('glesv2', 'glesv2', None, list_contains(Options.options.flavors, 'glesv2$')),
                ('libdrm','drm', None, list_contains(Options.options.flavors, 'drm')),
                ('gbm','gbm', None, list_contains(Options.options.flavors, 'drm')),
                ('mirclient','mirclient', '0.13', list_contains(Options.options.flavors, 'mir')),
                ('wayland-client','wayland-client', None, list_contains(Options.options.flavors, 'wayland')),
                ('wayland-egl','wayland-egl', None, list_contains(Options.options.flavors, 'wayland'))]
    for (pkg, uselib, atleast, mandatory) in opt_pkgs:
        if atleast is None:
            ctx.check_cfg(package = pkg, uselib_store = uselib,
                          args = '--cflags --libs', mandatory = mandatory)
        else:
            ctx.check_cfg(package = pkg, uselib_store = uselib, atleast_version=atleast,
                          args = '--cflags --libs', mandatory = mandatory)


    # Prepend CXX flags so that they can be overriden by the
    # CXXFLAGS environment variable
    if Options.options.opt:
        ctx.env.prepend_value('CXXFLAGS', '-O2')
    if Options.options.debug:
        ctx.env.prepend_value('CXXFLAGS', '-g')
    if Options.options.werror:
        ctx.env.prepend_value('CXXFLAGS', '-Werror')
    ctx.env.prepend_value('CXXFLAGS', '-Wall -Wextra -Wnon-virtual-dtor'.split(' '))

    ctx.env.HAVE_EXTRAS = False
    if Options.options.extras_path is not None:
        ctx.env.HAVE_EXTRAS = True
        ctx.env.append_unique('GLMARK_EXTRAS_PATH', Options.options.extras_path)
        ctx.env.append_unique('DEFINES', 'GLMARK_EXTRAS_PATH="%s"' % Options.options.extras_path)

    if Options.options.data_path is not None:
        data_path = Options.options.data_path 
    else:
        data_path = os.path.join(ctx.env.DATADIR, 'glmark2')

    ctx.env.append_unique('GLMARK_DATA_PATH', data_path)
    ctx.env.append_unique('DEFINES', 'GLMARK_DATA_PATH="%s"' % data_path)
    ctx.env.append_unique('DEFINES', 'GLMARK_VERSION="%s"' % VERSION)
    ctx.env.GLMARK2_VERSION = VERSION

    ctx.msg("Prefix", ctx.env.PREFIX, color = 'PINK')
    ctx.msg("Data path", data_path, color = 'PINK')
    ctx.msg("Including extras", "Yes" if ctx.env.HAVE_EXTRAS else "No",
            color = 'PINK');
    if ctx.env.HAVE_EXTRAS:
        ctx.msg("Extras path", Options.options.extras_path, color = 'PINK')
    ctx.msg("Building flavors", Options.options.flavors)

def build(ctx):
    ctx.recurse('src')
    ctx.recurse('data')
    ctx.recurse('doc')

class Glmark2Dist(Context.Context):
    """ Custom dist command that preserves symbolic links"""

    cmd = "dist"

    def execute(self):
        self.recurse([os.path.dirname(Context.g_module.root_path)])
        self.archive()

    def get_files(self):
        import fnmatch
        files = []
        excludes = ['*.bzr', '*.git', '*~', './.*waf*', './build*', '*.swp', '*.pyc', '*glmark2-*.tar.gz']
        for (dirpath, dirnames, filenames) in os.walk(top):
            names_to_remove = []
            names = dirnames + filenames
            for n in names:
                for exclude in excludes:
                    if fnmatch.fnmatch(os.path.join(dirpath, n), exclude):
                        names_to_remove.append(n)
                        break

            for d in names_to_remove:
                if d in dirnames:
                    dirnames.remove(d)
                if d in filenames:
                    filenames.remove(d)

            files.extend([os.path.join(dirpath, d) for d in dirnames])
            files.extend([os.path.join(dirpath, f) for f in filenames])

        return files

    def archive(self):
        import tarfile
        tar = tarfile.open(APPNAME + '-' + VERSION + '.tar.gz', 'w:gz')
        for f in self.get_files():
            tar.add(f, arcname = APPNAME + '-' + VERSION + '/' + f, recursive = False)
        tar.close()

=== src/libmatrix/Makefile ===
CXXFLAGS = -Wall -Werror -pedantic -O3
LIBMATRIX = libmatrix.a
LIBSRCS = mat.cc program.cc log.cc util.cc shader-source.cc
LIBOBJS = $(LIBSRCS:.cc=.o)
TESTDIR = test
LIBMATRIX_TESTS = $(TESTDIR)/libmatrix_test
TESTSRCS = $(TESTDIR)/options.cc \
           $(TESTDIR)/const_vec_test.cc \
           $(TESTDIR)/inverse_test.cc \
           $(TESTDIR)/transpose_test.cc \
           $(TESTDIR)/shader_source_test.cc \
           $(TESTDIR)/util_split_test.cc \
           $(TESTDIR)/libmatrix_test.cc
TESTOBJS = $(TESTSRCS:.cc=.o)

# Make sure to build both the library targets and the tests, and generate 
# a make failure if the tests don't pass.
default: $(LIBMATRIX) $(LIBMATRIX_TESTS) run_tests

# Main library targets here.
mat.o : mat.cc mat.h vec.h
program.o: program.cc program.h mat.h vec.h
log.o: log.cc log.h
util.o: util.cc util.h
shader-source.o: shader-source.cc shader-source.h mat.h vec.h util.h
libmatrix.a : mat.o stack.h program.o log.o util.o shader-source.o
	$(AR) -r $@  $(LIBOBJS)

# Tests and execution targets here.
$(TESTDIR)/options.o: $(TESTDIR)/options.cc $(TESTDIR)/libmatrix_test.h
$(TESTDIR)/libmatrix_test.o: $(TESTDIR)/libmatrix_test.cc $(TESTDIR)/libmatrix_test.h $(TESTDIR)/inverse_test.h $(TESTDIR)/transpose_test.h
$(TESTDIR)/const_vec_test.o: $(TESTDIR)/const_vec_test.cc $(TESTDIR)/const_vec_test.h $(TESTDIR)/libmatrix_test.h vec.h
$(TESTDIR)/inverse_test.o: $(TESTDIR)/inverse_test.cc $(TESTDIR)/inverse_test.h $(TESTDIR)/libmatrix_test.h mat.h
$(TESTDIR)/transpose_test.o: $(TESTDIR)/transpose_test.cc $(TESTDIR)/transpose_test.h $(TESTDIR)/libmatrix_test.h mat.h
$(TESTDIR)/shader_source_test.o: $(TESTDIR)/shader_source_test.cc $(TESTDIR)/shader_source_test.h $(TESTDIR)/libmatrix_test.h shader-source.h
$(TESTDIR)/util_split_test.o: $(TESTDIR)/util_split_test.cc $(TESTDIR)/util_split_test.h $(TESTDIR)/libmatrix_test.h util.h
$(TESTDIR)/libmatrix_test: $(TESTOBJS) libmatrix.a
	$(CXX) -o $@ $^
run_tests: $(LIBMATRIX_TESTS)
	$(LIBMATRIX_TESTS)
clean :
	$(RM) $(LIBOBJS) $(TESTOBJS) $(LIBMATRIX) $(LIBMATRIX_TESTS)

=== debian/changelog ===
glmark2 (2014.03+git20150611.fa71af2d-0ubuntu8) hirsute; urgency=medium

  * debian/rules:
  * debian/control:
    - Drop mir variant; this uses mirclient, which is no longer built by Mir. 

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 04 Jan 2021 08:21:54 +1100

glmark2 (2014.03+git20150611.fa71af2d-0ubuntu7) focal; urgency=medium

  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Mar 2020 14:43:31 +0100

glmark2 (2014.03+git20150611.fa71af2d-0ubuntu6) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:42:28 +0100

glmark2 (2014.03+git20150611.fa71af2d-0ubuntu5) disco; urgency=medium

  * d/p/c-library-check.patch: Grab patch from upstream Git to fix FTBFS by
    checking C libraries using the C compiler.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 10 Jan 2019 21:14:51 -0500

glmark2 (2014.03+git20150611.fa71af2d-0ubuntu4) yakkety; urgency=medium

  * Switch to libpng-dev from libpng12-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Apr 2016 15:20:23 +0200

glmark2 (2014.03+git20150611.fa71af2d-0ubuntu2) wily; urgency=medium

  * No-change rebuild against latest Mir

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 02 Jul 2015 15:21:13 +1000

glmark2 (2014.03+git20150611.fa71af2d-0ubuntu1) wily; urgency=medium

  [ Alexandros Frantzis ]
  * Import latest version from upstream git (fa71af2d).
  * debian/control:
    - Build depend on libmirclient-dev >= 0.13.
    - Update Standards-Version to 3.9.6.
  * debian/rules:
    - Build glmark2 without -Werror.

  [ Christopher James Halse Rogers ]
  * debian/control:
  * debian/rules:
    - Drop architecture restrictions on libmirclient build-dep.
      Mir is now built for all architectures.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Fri, 12 Jun 2015 17:58:39 +1000

=== debian/control ===
Source: glmark2
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexandros Frantzis <alexandros.frantzis@linaro.org>
Build-Depends: debhelper (>= 9),
               python2,
               pkg-config,
               libx11-dev,
               libjpeg-dev,
               libpng-dev,
               libgl1-mesa-dev | libgl1-dev,
               libegl1-mesa-dev | libegl1-x11-dev,
               libgles2-mesa-dev | libgles2-dev,
               libwayland-dev,
               libdrm-dev,
               libgbm-dev,
Standards-Version: 3.9.6
Homepage: https://launchpad.net/glmark2

Package: glmark2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         glmark2-data (= ${source:Version})
Description: OpenGL 2.0 X11 benchmark
 A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
 API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
 arrays, VBOs, texturing and shaders.
 .
 This package contains the OpenGL 2.0 variant of the benchmark for X11.

Package: glmark2-es2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         glmark2-data (= ${source:Version})
Description: OpenGL ES 2.0 X11 benchmark
 A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
 API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
 arrays, VBOs, texturing and shaders.
 .
 This package contains the OpenGL ES 2.0 variant of the benchmark for X11.

Package: glmark2-wayland
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         glmark2-data (= ${source:Version})
Description: OpenGL 2.0 Wayland benchmark
 A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
 API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
 arrays, VBOs, texturing and shaders.
 .
 This package contains the OpenGL 2.0 variant of the benchmark for Wayland.

Package: glmark2-es2-wayland
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         glmark2-data (= ${source:Version})
Description: OpenGL ES 2.0 Wayland benchmark
 A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
 API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
 arrays, VBOs, texturing and shaders.
 .
 This package contains the OpenGL ES 2.0 variant of the benchmark for Wayland.

Package: glmark2-drm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         glmark2-data (= ${source:Version})
Description: OpenGL 2.0 DRM benchmark
 A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
 API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
 arrays, VBOs, texturing and shaders.
 .
 This package contains the OpenGL 2.0 variant of the benchmark for DRM.

Package: glmark2-es2-drm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         glmark2-data (= ${source:Version})
Description: OpenGL ES 2.0 DRM benchmark
 A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
 API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
 arrays, VBOs, texturing and shaders.
 .
 This package contains the OpenGL ES 2.0 variant of the benchmark for DRM.

Package: glmark2-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for the glmark2 OpenGL (ES) 2.0 benchmark
 A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
 API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
 arrays, VBOs, texturing and shaders.
 .
 This package contains the data files used by the glmark2 benchmark.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PATH := $(PATH):$(CURDIR)/debian/bin
export PATH

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

FLAVORS:=x11-gl,x11-glesv2,wayland-gl,wayland-glesv2
FLAVORS:=$(FLAVORS),drm-gl,drm-glesv2

%:
	dh $@

override_dh_auto_configure:
	./waf configure --with-flavors=$(FLAVORS) --prefix=/usr --no-werror

override_dh_auto_build:
	./waf

override_dh_auto_install:
	./waf install --destdir=debian/tmp

override_dh_auto_clean:
	./waf distclean
	# Clean compiled python code from unpacked waflib/ directory, as
	# described in http://wiki.debian.org/UnpackWaf .
	-find waflib -name "*.pyc" -delete

override_dh_install:
	sh debian/create_package_install_files.sh
	dh_install

override_dh_installman:
	sh debian/create_package_manpages_files.sh
	dh_installman

## glmark2 2017.07

=== wscript ===
--- 
+++ 
@@ -1,14 +1,10 @@
-import commands
-import subprocess
 import os
-import Options
-import Scripting
 from waflib import Context
 
 out = 'build'
 top = '.'
 
-VERSION = '2014.03+git20150611.fa71af2d'
+VERSION = '2017.07'
 APPNAME = 'glmark2'
 
 FLAVORS = {
@@ -36,9 +32,9 @@
     return False
 
 def options(opt):
-    opt.tool_options('gnu_dirs')
-    opt.tool_options('compiler_cc')
-    opt.tool_options('compiler_cxx')
+    opt.load('gnu_dirs')
+    opt.load('compiler_c')
+    opt.load('compiler_cxx')
 
     opt.add_option('--with-flavors', type = 'string', action='callback',
                    callback=option_list_cb,
@@ -50,8 +46,6 @@
                    default = True, help='disable compiler debug information')
     opt.add_option('--no-opt', action='store_false', dest = 'opt',
                    default = True, help='disable compiler optimizations')
-    opt.add_option('--no-werror', action='store_false', dest = 'werror',
-                   default = True, help='disable treating compiler warnings as errors')
     opt.add_option('--data-path', action='store', dest = 'data_path',
                    help='path to main data (also see --data(root)dir)')
     opt.add_option('--extras-path', action='store', dest = 'extras_path',
@@ -59,40 +53,40 @@
 
 def configure(ctx):
     # Special 'all' flavor
-    if 'all' in Options.options.flavors:
-        Options.options.flavors = list(set(Options.options.flavors) | set(FLAVORS.keys()))
-        Options.options.flavors.remove('all')
+    if 'all' in ctx.options.flavors:
+        ctx.options.flavors = list(set(ctx.options.flavors) | set(FLAVORS.keys()))
+        ctx.options.flavors.remove('all')
 
     # Ensure the flavors are valid
-    for flavor in Options.options.flavors:
+    for flavor in ctx.options.flavors:
        if flavor not in FLAVORS:
             ctx.fatal('Unknown flavor: %s. Supported flavors are %s' % (flavor, FLAVORS_STR))
 
-    if not Options.options.flavors:
+    if not ctx.options.flavors:
         ctx.fatal('You need to select at least one flavor. Supported flavors are %s' % FLAVORS_STR)
 
     for flavor in FLAVORS:
-        if flavor in Options.options.flavors:
+        if flavor in ctx.options.flavors:
             ctx.env["FLAVOR_%s" % flavor.upper().replace('-','_')] = FLAVORS[flavor]
 
-    ctx.check_tool('gnu_dirs')
-    ctx.check_tool('compiler_cc')
-    ctx.check_tool('compiler_cxx')
+    ctx.load('gnu_dirs')
+    ctx.load('compiler_c')
+    ctx.load('compiler_cxx')
 
     # Check required headers
     req_headers = ['stdlib.h', 'string.h', 'unistd.h', 'stdint.h', 'stdio.h', 'jpeglib.h']
     for header in req_headers:
-        ctx.check_cxx(header_name = header, auto_add_header_name = True, mandatory = True)
+        ctx.check_cc(header_name = header, auto_add_header_name = True, mandatory = True)
 
     # Check for required libs
     req_libs = [('m', 'm'), ('jpeg', 'jpeg')]
     for (lib, uselib) in req_libs:
-        ctx.check_cxx(lib = lib, uselib_store = uselib)
+        ctx.check_cc(lib = lib, uselib_store = uselib)
 
     # Check required functions
     req_funcs = [('memset', 'string.h', []) ,('sqrt', 'math.h', ['m'])]
     for func, header, uselib in req_funcs:
-        ctx.check_cxx(function_name = func, header_name = header,
+        ctx.check_cc(function_name = func, header_name = header,
                       uselib = uselib, mandatory = True)
 
     # Check for a supported version of libpng
@@ -112,15 +106,16 @@
         ctx.fatal('You need to install a supported version of libpng: ' + str(supp_png_pkgs))
 
     # Check optional packages
-    opt_pkgs = [('x11', 'x11', None, list_contains(Options.options.flavors, 'x11')),
-                ('gl', 'gl', None, list_contains(Options.options.flavors, 'gl$')),
-                ('egl', 'egl', None, list_contains(Options.options.flavors, 'glesv2$')),
-                ('glesv2', 'glesv2', None, list_contains(Options.options.flavors, 'glesv2$')),
-                ('libdrm','drm', None, list_contains(Options.options.flavors, 'drm')),
-                ('gbm','gbm', None, list_contains(Options.options.flavors, 'drm')),
-                ('mirclient','mirclient', '0.13', list_contains(Options.options.flavors, 'mir')),
-                ('wayland-client','wayland-client', None, list_contains(Options.options.flavors, 'wayland')),
-                ('wayland-egl','wayland-egl', None, list_contains(Options.options.flavors, 'wayland'))]
+    opt_pkgs = [('x11', 'x11', None, list_contains(ctx.options.flavors, 'x11')),
+                ('gl', 'gl', None, list_contains(ctx.options.flavors, 'gl$')),
+                ('egl', 'egl', None, list_contains(ctx.options.flavors, 'glesv2$')),
+                ('glesv2', 'glesv2', None, list_contains(ctx.options.flavors, 'glesv2$')),
+                ('libdrm','drm', None, list_contains(ctx.options.flavors, 'drm')),
+                ('gbm','gbm', None, list_contains(ctx.options.flavors, 'drm')),
+                ('libudev', 'udev', None, list_contains(ctx.options.flavors, 'drm')),
+                ('mirclient','mirclient', '0.13', list_contains(ctx.options.flavors, 'mir')),
+                ('wayland-client','wayland-client', None, list_contains(ctx.options.flavors, 'wayland')),
+                ('wayland-egl','wayland-egl', None, list_contains(ctx.options.flavors, 'wayland'))]
     for (pkg, uselib, atleast, mandatory) in opt_pkgs:
         if atleast is None:
             ctx.check_cfg(package = pkg, uselib_store = uselib,
@@ -132,22 +127,20 @@
 
     # Prepend CXX flags so that they can be overriden by the
     # CXXFLAGS environment variable
-    if Options.options.opt:
+    if ctx.options.opt:
         ctx.env.prepend_value('CXXFLAGS', '-O2')
-    if Options.options.debug:
+    if ctx.options.debug:
         ctx.env.prepend_value('CXXFLAGS', '-g')
-    if Options.options.werror:
-        ctx.env.prepend_value('CXXFLAGS', '-Werror')
-    ctx.env.prepend_value('CXXFLAGS', '-Wall -Wextra -Wnon-virtual-dtor'.split(' '))
+    ctx.env.prepend_value('CXXFLAGS', '-std=c++14 -Wall -Wextra -Wnon-virtual-dtor'.split(' '))
 
     ctx.env.HAVE_EXTRAS = False
-    if Options.options.extras_path is not None:
+    if ctx.options.extras_path is not None:
         ctx.env.HAVE_EXTRAS = True
-        ctx.env.append_unique('GLMARK_EXTRAS_PATH', Options.options.extras_path)
-        ctx.env.append_unique('DEFINES', 'GLMARK_EXTRAS_PATH="%s"' % Options.options.extras_path)
-
-    if Options.options.data_path is not None:
-        data_path = Options.options.data_path 
+        ctx.env.append_unique('GLMARK_EXTRAS_PATH', ctx.options.extras_path)
+        ctx.env.append_unique('DEFINES', 'GLMARK_EXTRAS_PATH="%s"' % ctx.options.extras_path)
+
+    if ctx.options.data_path is not None:
+        data_path = ctx.options.data_path 
     else:
         data_path = os.path.join(ctx.env.DATADIR, 'glmark2')
 
@@ -161,8 +154,8 @@
     ctx.msg("Including extras", "Yes" if ctx.env.HAVE_EXTRAS else "No",
             color = 'PINK');
     if ctx.env.HAVE_EXTRAS:
-        ctx.msg("Extras path", Options.options.extras_path, color = 'PINK')
-    ctx.msg("Building flavors", Options.options.flavors)
+        ctx.msg("Extras path", ctx.options.extras_path, color = 'PINK')
+    ctx.msg("Building flavors", ctx.options.flavors)
 
 def build(ctx):
     ctx.recurse('src')

=== debian/changelog ===
glmark2 (2017.07-1mx15+1) mx; urgency=medium

  * New upstream release; rebuild for MX 15.
  * Don't build against Mir.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 30 Oct 2017 16:13:32 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alexandros Frantzis <alexandros.frantzis@linaro.org>
 Build-Depends: debhelper (>= 9),
-               python2,
+               python (>= 2.4),
                pkg-config,
                libx11-dev,
                libjpeg-dev,
@@ -13,8 +13,10 @@
                libegl1-mesa-dev | libegl1-x11-dev,
                libgles2-mesa-dev | libgles2-dev,
                libwayland-dev,
+#               libmirclient-dev (>= 0.13),
                libdrm-dev,
                libgbm-dev,
+               libudev-dev
 Standards-Version: 3.9.6
 Homepage: https://launchpad.net/glmark2

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
-PATH := $(PATH):$(CURDIR)/debian/bin
-export PATH
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -12,14 +9,13 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-FLAVORS:=x11-gl,x11-glesv2,wayland-gl,wayland-glesv2
-FLAVORS:=$(FLAVORS),drm-gl,drm-glesv2
+FLAVORS:=x11-gl,x11-glesv2,wayland-gl,wayland-glesv2,drm-gl,drm-glesv2
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	./waf configure --with-flavors=$(FLAVORS) --prefix=/usr --no-werror
+	./waf configure --with-flavors=$(FLAVORS) --prefix=/usr
 
 override_dh_auto_build:
 	./waf

## glmark2 2020.04.01

=== debian/changelog ===
glmark2 (2020.04.01-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:50:49 +0800

glmark2 (2020.04.01-1) unstable; urgency=medium

  * Initial release(Closes: #15716 )

 -- liuhongda <liuhongda@loongson.cn>  Tue, 29 Dec 2020 10:46:42 +0800

=== debian/control ===
Source: glmark2
Section: graphics
Priority: optional
Maintainer: liuhongda <liuhongda@loongson.cn>
Build-Depends: debhelper (>= 11), python3, libjpeg62-turbo, libc6, libpng16-16, zlib1g, libx11-6, libstdc++6, libgcc1, libjpeg62-turbo-dev, pkg-config, libpng16-16, libpng-dev, libx11-dev, libdrm-dev, libgbm-dev,libudev-dev
Standards-Version: 4.1.3
Vcs-Browser: https://github.com/glmark2/glmark2
Vcs-Git: http://gerritos.loongnix.org:8081/glmark2

Package: glmark2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: It is a benchmark for OpenGL 2.0
 Common graphical assets for Glamrk2 benchmark suite

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_configure:
	./waf configure --with-flavors=x11-gl,x11-glesv2,drm-gl,drm-glesv2 --data-path=/usr/share/glmark2 --prefix=/usr/bin
override_dh_auto_build:
	./waf
%:
	dh $@


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

## glmark2 2021.02

=== meson_options.txt ===
option('flavors', type : 'array',
       choices : [
           'drm-gl',
           'drm-glesv2',
           'wayland-gl',
           'wayland-glesv2',
           'x11-gl',
           'x11-glesv2'
        ],
        value : []
)

option('data-path', type : 'string', value : '')
option('extras-path', type : 'string', value : '')
option('version-suffix', type : 'string', value : '')

=== wscript ===
--- 
+++ 
@@ -1,23 +1,32 @@
-import os
+import os, platform
 from waflib import Context
 
 out = 'build'
 top = '.'
 
-VERSION = '2017.07'
+VERSION = '2021.02'
 APPNAME = 'glmark2'
 
 FLAVORS = {
-    'x11-gl' : 'glmark2',
-    'x11-glesv2' : 'glmark2-es2',
+    'dispmanx-glesv2' : 'glmark2-es2-dispmanx',
     'drm-gl' : 'glmark2-drm',
     'drm-glesv2' : 'glmark2-es2-drm',
     'mir-gl' : 'glmark2-mir',
     'mir-glesv2' : 'glmark2-es2-mir',
     'wayland-gl' : 'glmark2-wayland',
-    'wayland-glesv2' : 'glmark2-es2-wayland'
+    'wayland-glesv2' : 'glmark2-es2-wayland',
+    'win32-gl': 'glmark2-win32',
+    'win32-glesv2': 'glmark2-es2',
+    'x11-gl' : 'glmark2',
+    'x11-glesv2' : 'glmark2-es2',
 }
-FLAVORS_STR = ", ".join(FLAVORS.keys())
+FLAVORS_STR = ", ".join(sorted(list(FLAVORS) + ['all-linux', 'all-win32']))
+
+def linux_flavors():
+    return [f for f in FLAVORS.keys() if not f.startswith('win32')]
+
+def win32_flavors():
+    return [f for f in FLAVORS.keys() if f.startswith('win32')]
 
 def option_list_cb(option, opt, value, parser):
     value = value.split(',')
@@ -39,8 +48,11 @@
     opt.add_option('--with-flavors', type = 'string', action='callback',
                    callback=option_list_cb,
                    dest = 'flavors',
-                   help = "a list of flavors to build (%s, all)" % FLAVORS_STR)
+                   help = "a list of flavors to build (%s, all-linux (except dispmanx-glesv2), all-win32)" % FLAVORS_STR)
     opt.parser.set_default('flavors', [])
+
+    opt.parser.add_option('--version-suffix', type='string', action='store', dest='versionsuffix',
+                          default='', help='add a suffix to the version number')
 
     opt.add_option('--no-debug', action='store_false', dest = 'debug',
                    default = True, help='disable compiler debug information')
@@ -51,11 +63,29 @@
     opt.add_option('--extras-path', action='store', dest = 'extras_path',
                    help='path to additional data (models, shaders, textures)')
 
+def get_data_path(ctx):
+    if ctx.options.data_path is not None:
+        return ctx.options.data_path
+    else:
+        return os.path.join(ctx.env.DATADIR, 'glmark2')
+
 def configure(ctx):
     # Special 'all' flavor
-    if 'all' in ctx.options.flavors:
-        ctx.options.flavors = list(set(ctx.options.flavors) | set(FLAVORS.keys()))
-        ctx.options.flavors.remove('all')
+    if 'all-linux' in ctx.options.flavors:
+        ctx.options.flavors = list(set(ctx.options.flavors) | set(linux_flavors()))
+        ctx.options.flavors.remove('all-linux')
+        # dispmanx is a special case, we don't want to include it in all
+        ctx.options.flavors.remove('dispmanx-glesv2')
+
+    if 'all-win32' in ctx.options.flavors:
+        ctx.options.flavors = list(set(ctx.options.flavors) | set(win32_flavors()))
+        ctx.options.flavors.remove('all-win32')
+
+    is_win = any(True for f in win32_flavors() if f in ctx.options.flavors)
+    is_linux = any(True for f in linux_flavors() if f in ctx.options.flavors)
+
+    if is_win and is_linux:
+        ctx.fatal('Simultaneous Windows and Linux builds are not supported')
 
     # Ensure the flavors are valid
     for flavor in ctx.options.flavors:
@@ -63,7 +93,8 @@
             ctx.fatal('Unknown flavor: %s. Supported flavors are %s' % (flavor, FLAVORS_STR))
 
     if not ctx.options.flavors:
-        ctx.fatal('You need to select at least one flavor. Supported flavors are %s' % FLAVORS_STR)
+        ctx.fatal('You need to select at least one flavor with --with-flavors=flavor1[,flavor2]...\n' +
+                  'Supported flavors are %s' % FLAVORS_STR)
 
     for flavor in FLAVORS:
         if flavor in ctx.options.flavors:
@@ -73,8 +104,64 @@
     ctx.load('compiler_c')
     ctx.load('compiler_cxx')
 
+    if is_win:
+        configure_win32(ctx)
+    else:
+        configure_linux(ctx)
+
+    ctx.env.append_unique('DEFINES', 'GLMARK_VERSION="%s"' % (VERSION + ctx.options.versionsuffix))
+    ctx.env.GLMARK2_VERSION = (VERSION + ctx.options.versionsuffix)
+
+    ctx.msg("Prefix", ctx.env.PREFIX, color = 'PINK')
+    ctx.msg("Data path", get_data_path(ctx), color = 'PINK')
+    ctx.msg("Including extras", "Yes" if ctx.env.HAVE_EXTRAS else "No",
+            color = 'PINK');
+    if ctx.env.HAVE_EXTRAS:
+        ctx.msg("Extras path", ctx.options.extras_path, color = 'PINK')
+    ctx.msg("Building flavors", ctx.options.flavors)
+
+
+def configure_win32(ctx):
     # Check required headers
-    req_headers = ['stdlib.h', 'string.h', 'unistd.h', 'stdint.h', 'stdio.h', 'jpeglib.h']
+    req_headers = ['stdlib.h', 'string.h', 'stdint.h', 'stdio.h', 'windows.h']
+    for header in req_headers:
+        ctx.check_cc(header_name = header, auto_add_header_name = True, mandatory = True)
+
+    req_libs = [('user32', 'user32'), ('opengl32', 'opengl32'), ('gdi32', 'gdi32')]
+    for (lib, uselib) in req_libs:
+        ctx.check_cc(lib = lib, uselib_store = uselib)
+
+    # Prepend CXX flags so that they can be overriden by the
+    # CXXFLAGS environment variable
+    if ctx.options.opt:
+        ctx.env.prepend_value('CXXFLAGS', '-O2')
+    if ctx.env.CXX_NAME != 'msvc':
+        if ctx.options.debug:
+            ctx.env.prepend_value('CXXFLAGS', '-g')
+        ctx.env.prepend_value('CXXFLAGS', '-std=c++14 -Wall -Wextra -Wnon-virtual-dtor'.split(' '))
+    else:
+        ctx.env.prepend_value('CXXFLAGS', '/EHsc /wd4312'.split(' '))
+
+    ctx.env.HAVE_EXTRAS = False
+    if ctx.options.extras_path is not None:
+        ctx.env.HAVE_EXTRAS = True
+        ctx.env.append_unique('GLMARK_EXTRAS_PATH', ctx.options.extras_path)
+        ctx.env.append_unique('DEFINES', 'GLMARK_EXTRAS_PATH="%s"' % ctx.options.extras_path)
+
+    data_path = get_data_path(ctx)
+
+    # Necessary for M_PI
+    ctx.env.append_unique('DEFINES', '_USE_MATH_DEFINES')
+    ctx.env.append_unique('DEFINES', 'WIN32')
+    # String contants have issues with Windows slashes
+    ctx.env.append_unique('DEFINES', 'GLMARK_DATA_PATH="%s"' % data_path.replace('\\', '/'))
+    ctx.env.append_unique('GLMARK_DATA_PATH', data_path)
+
+
+def configure_linux(ctx):
+    # Check required headers
+    req_headers = ['stdlib.h', 'string.h', 'stdint.h', 'stdio.h', 'dlfcn.h',
+                   'unistd.h', 'jpeglib.h', 'math.h', 'string.h']
     for header in req_headers:
         ctx.check_cc(header_name = header, auto_add_header_name = True, mandatory = True)
 
@@ -83,15 +170,17 @@
     for (lib, uselib) in req_libs:
         ctx.check_cc(lib = lib, uselib_store = uselib)
 
-    # Check required functions
-    req_funcs = [('memset', 'string.h', []) ,('sqrt', 'math.h', ['m'])]
-    for func, header, uselib in req_funcs:
-        ctx.check_cc(function_name = func, header_name = header,
-                      uselib = uselib, mandatory = True)
+    # Check for required functions. Note that headers from req_headers
+    # are already included for this check.
+    ctx.check_cc(function_name = 'memset', mandatory = True)
+    # Special test code for sqrt, to make clang/libc++ happy.
+    ctx.check_cc(fragment = 'int main(void) { double (*p)(double); p = sqrt; }',
+                 msg = 'Checking for function sqrt',
+                 uselib = ['m'], mandatory = True)
 
     # Check for a supported version of libpng
+    have_png = False
     supp_png_pkgs = (('libpng12', '1.2'), ('libpng15', '1.5'), ('libpng16', '1.6'),)
-    have_png = False
     for (pkg, atleast) in supp_png_pkgs:
         try:
             pkg_ver = ctx.check_cfg(package=pkg, uselib_store='libpng', atleast_version=atleast,
@@ -105,16 +194,27 @@
     if not have_png:
         ctx.fatal('You need to install a supported version of libpng: ' + str(supp_png_pkgs))
 
+    dispmanx = 'dispmanx-glesv2' in ctx.options.flavors
+    if dispmanx:
+        # dispmanx uses custom Broadcom libraries that don't follow standard
+        # Linux packaging.  Just force the library setup here.
+        if len(ctx.options.flavors) != 1:
+            ctx.fatal("dispmanx can't be built with any other flavor")
+
+        ctx.env.append_value('CXXFLAGS', '-I/opt/vc/include')
+
+        ctx.check_cxx(lib = 'brcmGLESv2', uselib_store = 'glesv2', libpath='/opt/vc/lib')
+        ctx.check_cxx(lib = ['brcmEGL', 'brcmGLESv2'], uselib_store = 'egl', libpath='/opt/vc/lib')
+        ctx.check_cxx(lib = ['bcm_host', 'vcos', 'vchiq_arm'], uselib_store = 'dispmanx', libpath='/opt/vc/lib')
+
     # Check optional packages
     opt_pkgs = [('x11', 'x11', None, list_contains(ctx.options.flavors, 'x11')),
-                ('gl', 'gl', None, list_contains(ctx.options.flavors, 'gl$')),
-                ('egl', 'egl', None, list_contains(ctx.options.flavors, 'glesv2$')),
-                ('glesv2', 'glesv2', None, list_contains(ctx.options.flavors, 'glesv2$')),
                 ('libdrm','drm', None, list_contains(ctx.options.flavors, 'drm')),
                 ('gbm','gbm', None, list_contains(ctx.options.flavors, 'drm')),
                 ('libudev', 'udev', None, list_contains(ctx.options.flavors, 'drm')),
                 ('mirclient','mirclient', '0.13', list_contains(ctx.options.flavors, 'mir')),
                 ('wayland-client','wayland-client', None, list_contains(ctx.options.flavors, 'wayland')),
+                ('wayland-cursor','wayland-cursor', None, list_contains(ctx.options.flavors, 'wayland')),
                 ('wayland-egl','wayland-egl', None, list_contains(ctx.options.flavors, 'wayland'))]
     for (pkg, uselib, atleast, mandatory) in opt_pkgs:
         if atleast is None:
@@ -124,6 +224,12 @@
             ctx.check_cfg(package = pkg, uselib_store = uselib, atleast_version=atleast,
                           args = '--cflags --libs', mandatory = mandatory)
 
+    if list_contains(ctx.options.flavors, 'wayland'):
+        # wayland-protocols >= 1.12 required for xdg-shell stable
+        ctx.check_cfg(package = 'wayland-protocols', atleast_version = '1.12',
+                      variables = ['pkgdatadir'], uselib_store = 'WAYLAND_PROTOCOLS')
+        ctx.check_cfg(package = 'wayland-scanner', variables = ['wayland_scanner'],
+                      uselib_store = 'WAYLAND_SCANNER')
 
     # Prepend CXX flags so that they can be overriden by the
     # CXXFLAGS environment variable
@@ -139,23 +245,10 @@
         ctx.env.append_unique('GLMARK_EXTRAS_PATH', ctx.options.extras_path)
         ctx.env.append_unique('DEFINES', 'GLMARK_EXTRAS_PATH="%s"' % ctx.options.extras_path)
 
-    if ctx.options.data_path is not None:
-        data_path = ctx.options.data_path 
-    else:
-        data_path = os.path.join(ctx.env.DATADIR, 'glmark2')
-
+    data_path = get_data_path(ctx)
+
+    ctx.env.append_unique('DEFINES', 'GLMARK_DATA_PATH="%s"' % data_path)
     ctx.env.append_unique('GLMARK_DATA_PATH', data_path)
-    ctx.env.append_unique('DEFINES', 'GLMARK_DATA_PATH="%s"' % data_path)
-    ctx.env.append_unique('DEFINES', 'GLMARK_VERSION="%s"' % VERSION)
-    ctx.env.GLMARK2_VERSION = VERSION
-
-    ctx.msg("Prefix", ctx.env.PREFIX, color = 'PINK')
-    ctx.msg("Data path", data_path, color = 'PINK')
-    ctx.msg("Including extras", "Yes" if ctx.env.HAVE_EXTRAS else "No",
-            color = 'PINK');
-    if ctx.env.HAVE_EXTRAS:
-        ctx.msg("Extras path", ctx.options.extras_path, color = 'PINK')
-    ctx.msg("Building flavors", ctx.options.flavors)
 
 def build(ctx):
     ctx.recurse('src')
@@ -199,5 +292,3 @@
         import tarfile
         tar = tarfile.open(APPNAME + '-' + VERSION + '.tar.gz', 'w:gz')
         for f in self.get_files():
-            tar.add(f, arcname = APPNAME + '-' + VERSION + '/' + f, recursive = False)
-        tar.close()

=== debian/changelog ===
glmark2 (2021.02-0ubuntu1) impish; urgency=medium

  * New upstream release 2021.02
    https://github.com/glmark2/glmark2/tree/2021.02
  * Build using python3

 -- Soar Huang <soar.huang@canonical.com>  Sat, 22 May 2021 23:30:19 +0800

=== debian/control ===
Source: glmark2
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexandros Frantzis <alexandros.frantzis@linaro.org>
Build-Depends: debhelper (>= 9),
               python3,
               pkg-config,
               libx11-dev,
               libjpeg-dev,
               libpng-dev,
               libgl1-mesa-dev | libgl1-dev,
               libegl1-mesa-dev | libegl1-x11-dev,
               libgles2-mesa-dev | libgles2-dev,
               libwayland-dev,
               libdrm-dev,
               libgbm-dev,
               libudev-dev,
               wayland-protocols,
Standards-Version: 3.9.6
Homepage: https://launchpad.net/glmark2

Package: glmark2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         glmark2-data (= ${source:Version})
Description: OpenGL 2.0 X11 benchmark
 A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
 API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
 arrays, VBOs, texturing and shaders.
 .
 This package contains the OpenGL 2.0 variant of the benchmark for X11.

Package: glmark2-es2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         glmark2-data (= ${source:Version})
Description: OpenGL ES 2.0 X11 benchmark
 A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
 API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
 arrays, VBOs, texturing and shaders.
 .
 This package contains the OpenGL ES 2.0 variant of the benchmark for X11.

Package: glmark2-wayland
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         glmark2-data (= ${source:Version})
Description: OpenGL 2.0 Wayland benchmark
 A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
 API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
 arrays, VBOs, texturing and shaders.
 .
 This package contains the OpenGL 2.0 variant of the benchmark for Wayland.

Package: glmark2-es2-wayland
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         glmark2-data (= ${source:Version})
Description: OpenGL ES 2.0 Wayland benchmark
 A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
 API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
 arrays, VBOs, texturing and shaders.
 .
 This package contains the OpenGL ES 2.0 variant of the benchmark for Wayland.

Package: glmark2-drm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         glmark2-data (= ${source:Version})
Description: OpenGL 2.0 DRM benchmark
 A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
 API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
 arrays, VBOs, texturing and shaders.
 .
 This package contains the OpenGL 2.0 variant of the benchmark for DRM.

Package: glmark2-es2-drm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         glmark2-data (= ${source:Version})
Description: OpenGL ES 2.0 DRM benchmark
 A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
 API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
 arrays, VBOs, texturing and shaders.
 .
 This package contains the OpenGL ES 2.0 variant of the benchmark for DRM.

Package: glmark2-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for the glmark2 OpenGL (ES) 2.0 benchmark
 A benchmark for OpenGL (ES) 2.0 that uses only the OpenGL ES 2.0 compatible
 API. It contains tests for standard OpenGL (ES) 2.0 features, such as vertex
 arrays, VBOs, texturing and shaders.
 .
 This package contains the data files used by the glmark2 benchmark.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PATH := $(PATH):$(CURDIR)/debian/bin
export PATH

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

FLAVORS:=x11-gl,x11-glesv2,wayland-gl,wayland-glesv2
FLAVORS:=$(FLAVORS),drm-gl,drm-glesv2

%:
	dh $@

override_dh_auto_configure:
	./waf configure --with-flavors=$(FLAVORS) --prefix=/usr

override_dh_auto_build:
	./waf

override_dh_auto_install:
	./waf install --destdir=debian/tmp

override_dh_auto_clean:
	./waf distclean
	# Clean compiled python code from unpacked waflib/ directory, as
	# described in http://wiki.debian.org/UnpackWaf .
	-find waflib -name "*.pyc" -delete

override_dh_install:
	sh debian/create_package_install_files.sh
	dh_install

override_dh_installman:
	sh debian/create_package_manpages_files.sh
	dh_installman
